/**
 * Copyright 2006-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.url;

/**
 * The class URKUtilsException indicates conditions that a reasonable
 * application might want to catch.
 * @author Florent Benoit
 */
public class URLUtilsException extends Exception {

    /**
     * Uid of serializable class.
     */
    private static final long serialVersionUID = -6516098191414053742L;

    /**
     * Constructs a new FileUtilsException with no detail message.
     */
    public URLUtilsException() {
        super();
    }

    /**
     * Constructs a new FileUtilsException with the specified message.
     * @param message the detail message.
     */
    public URLUtilsException(final String message) {
        super(message);
    }

    /**
     * Constructs a new FileUtilsException with the specified message and
     * throwable.
     * @param message the detail message.
     * @param t the original cause
     */
    public URLUtilsException(final String message, final Throwable t) {
        super(message, t);
    }
}
